Bug 448331 - inline graphic tag does not render inline. See 2 in above page.
inline graphic tag does not render inline. See 2 in above page.
Status: CLOSED WONTFIX
Product: Publican
Classification: Community
Component: publican (Show other bugs)
2.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Fearn
Michael Hideo
https://engineering.redhat.com/docbot...
: Documentation, FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-25 19:50 EDT by Susan Burgess
Modified: 2013-03-13 01:14 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-11 01:57:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Susan Burgess 2008-05-25 19:50:26 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8.0.12) Gecko/20080213 Red Hat/1.5.0.12-11.el5_1 Firefox/1.5.0.12

Description of problem:
it appears that the <inlinegraphic> tag does not exist in Fedora or RedHat brands.
This is the error.

WARNING: Unknown tag: inlinegraphic. This tag may not be displayed correctly


Version-Release number of selected component (if applicable):


How reproducible:
Always


Steps to Reproduce:
1. Insert tag into file
2. make test
3. error message appears
WARNING: Unknown tag: inlinegraphic. This tag may not be displayed correctly


Actual Results:
It compiles fine, but there is line break after the content tagged as inlinegraphic

Expected Results:
The should be no line break

Additional info:
Comment 1 Jeff Fearn 2008-05-25 22:51:44 EDT
Please include the SVN details for where you are using this.
Comment 3 Jeff Fearn 2008-06-05 03:25:08 EDT
Here is the simple fix for the css, the PDF will require more work.

p img {
	display:inline;
	margin:0em;
	padding: 0em 0.5em;
}

We need to discuss if this tag is acceptable.

The HTML, even fixed, looks poor, and I doubt much can be done to fix this.

This tag can break section 508 compliance. At the minimum we would require
enforcing the use of attributes to overcome this breakage.

This tag breaks txt output; possibly the section 508 fix would overcome this.

This tag may impact translation.
Comment 4 Andy Fitzsimon 2008-06-05 04:39:40 EDT
Just a comment.

inline images affect the line-height... 
changing the line height for one line breaks the visual flow for readers.

we cannot force authors to only upload 12pt high graphics and therefore i
reccoment removing this ability.

(its why we have images as block-level objects in the first place)
Comment 5 Andy Fitzsimon 2008-06-05 04:44:33 EDT
wow,  you can tell I'm not a writer:  D and T are nowhere near each other :)
sorry about that.

let me state this differently while I'm here:

I recommend keeping all images as block level objects.

Screenshots are a more appropriate way to communicate interface elements.  
Using icons removes regional context of the interaction. 
Why show the icon but not say where the toolbar is?
Comment 6 Susan Burgess 2008-06-05 20:49:33 EDT
This was a documentation review request from the UI designer.
I will let them know that the ECS designers have rejected this.

If this is a decision, I recommend that we add this to the Style Guide.

If inlinegraphic cannot be used, what is the alternative? I tried tables but it
seems to have a predetermined pagewide attribute.
Comment 7 Andy Fitzsimon 2008-06-05 21:29:47 EDT
the alternative already mentioned is screenshot snippets on their own line.

They show the visual metaphor for your action and also show where it exists in
the UI at the same time.  

It's a 2 for one and the text-leading gets left alone 

Andy :-)
Comment 8 Susan Burgess 2008-06-05 22:29:36 EDT
No, that's not clear enough - doesnt drill down to the individual icon, so
doesnt meet the users need to identify the icon with the function.
of course I could create a ticket for you to create the shot with a nice overlay
on each icon.
;)
Comment 9 Andy Fitzsimon 2008-06-06 01:42:32 EDT
I'd be happy with that.  
This is an issue of appropriate communication design. 
Comment 10 Jeff Fearn 2008-06-11 01:57:53 EDT
inlinegraphic has been banned as it:

1: breaks section 508 accessibility standards
2: makes translation extremely difficult
3: fails to meet information design standards

Note You need to log in before you can comment on or make changes to this bug.